GroupChangeEvent (Oracle - Berkeley DB Java Edition API)
Date: 2014-12-16

com.sleepycat.je.rep.monitor

## Class GroupChangeEvent

- java.lang.Object
- - com.sleepycat.je.rep.monitor.MonitorChangeEvent
  - - com.sleepycat.je.rep.monitor.GroupChangeEvent

-     public class GroupChangeEvent
      extends MonitorChangeEvent

  The event generated when the group composition changes. A new instance of this event is generated each time a node is added or removed from the group. Note that SECONDARY nodes do not generate these events.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `GroupChangeEvent.GroupChangeType` The kind of GroupChangeEvent.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GroupChangeEvent.GroupChangeType` | `getChangeType()` Returns the type of the change (the addition of a new member or the removal of an existing member) made to the group.
    `ReplicationGroup` | `getRepGroup()` Returns the current description of the replication group.
    `String` | `toString()`

    - ### Methods inherited from class com.sleepycat.je.rep.monitor.MonitorChangeEvent

      `getNodeName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getRepGroup

          public ReplicationGroup getRepGroup()

      Returns the current description of the replication group.

    - #### getChangeType

          public GroupChangeEvent.GroupChangeType getChangeType()

      Returns the type of the change (the addition of a new member or the removal of an existing member) made to the group. The method `MonitorChangeEvent.getNodeName` can be used to identify the node that triggered the event.
      Returns:
        the group change type.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright (c) 2004, 2014 Oracle and/or its affiliates. All rights reserved.